com.sun.java.xml.ns.javaee

## Class SessionConfigType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.SessionConfigType

-     public class SessionConfigType
      extends Object

  The session-configType defines the session parameters for this web application. Used in: web-app

  Java-Klasse für session-configType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="session-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="session-timeout" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="cookie-config" type="{http://java.sun.com/xml/ns/javaee}cookie-configType" minOccurs="0"/>
               <element name="tracking-mode" type="{http://java.sun.com/xml/ns/javaee}tracking-modeType" maxOccurs="3" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CookieConfigType` | `cookieConfig`
    `protected String` | `id`
    `protected XsdIntegerType` | `sessionTimeout`
    `protected List<TrackingModeType>` | `trackingMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionConfigType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieConfigType` | `getCookieConfig()` Ruft den Wert der cookieConfig-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `XsdIntegerType` | `getSessionTimeout()` Ruft den Wert der sessionTimeout-Eigenschaft ab.
    `List<TrackingModeType>` | `getTrackingMode()` Gets the value of the trackingMode property.
    `void` | `setCookieConfig(CookieConfigType value)` Legt den Wert der cookieConfig-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setSessionTimeout(XsdIntegerType value)` Legt den Wert der sessionTimeout-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionTimeout

          protected XsdIntegerType sessionTimeout

    - #### cookieConfig

          protected CookieConfigType cookieConfig

    - #### trackingMode

          protected List<TrackingModeType> trackingMode

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SessionConfigType

          public SessionConfigType()

  - ### Method Detail

    - #### getSessionTimeout

          public XsdIntegerType getSessionTimeout()

      Ruft den Wert der sessionTimeout-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setSessionTimeout

          public void setSessionTimeout(XsdIntegerType value)

      Legt den Wert der sessionTimeout-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getCookieConfig

          public CookieConfigType getCookieConfig()

      Ruft den Wert der cookieConfig-Eigenschaft ab.
      Returns:
        possible object is `CookieConfigType`

    - #### setCookieConfig

          public void setCookieConfig(CookieConfigType value)

      Legt den Wert der cookieConfig-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `CookieConfigType`

    - #### getTrackingMode

          public List<TrackingModeType> getTrackingMode()

      Gets the value of the trackingMode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the trackingMode property.

      For example, to add a new item, do as follows:

              getTrackingMode().add(newItem);

      Objects of the following type(s) are allowed in the list `TrackingModeType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.